#include "main-base.hpp"
#include "test-scene.hpp"
#include "test-camera.hpp"

namespace Test
{
	void Scene::OnPass1()
	{ 
		RVPASS1STATE; 
	}

	Scene::Scene()
	{
		Assets::Clear();
		Assets::Load(L"fonts");

		Finalize();

		new (AllocOverlay<Overlay>()) Overlay;

		EnableProbe();
		Input::ShowCursor(false);

		new (GetDynamicEntities().Add<Camera>()) Camera(M4fIdent());
	}

	Scene::~Scene()
	{
	}
}
